-- MySQL dump 9.11
--
-- Host: localhost    Database: alt_stat3
-- ------------------------------------------------------
-- Server version	4.0.24-log

--
-- Table structure for table `acl`
--

CREATE TABLE acl (
  srpm varchar(100) binary NOT NULL default '',
  packager varchar(20) NOT NULL default '',
  PRIMARY KEY  (srpm,packager)
) TYPE=MyISAM;

--
-- Table structure for table `bugs`
--

CREATE TABLE bugs (
  rpm varchar(100) binary NOT NULL default '',
  bug_id mediumint(8) unsigned NOT NULL default '0',
  severety enum('enhancement','trivial','minor','normal','major','critical','blocker') NOT NULL default 'enhancement',
  priority enum('P1','P2','P3','P4','P5') NOT NULL default 'P1',
  assigned varchar(20) NOT NULL default '',
  reporter varchar(50) NOT NULL default '',
  status enum('UNCONFIRMED','NEW','ASSIGNED','REOPENED','RESOLVED','VERIFIED','CLOSED') NOT NULL default 'UNCONFIRMED',
  resolution enum('FIXED','INVALID','WONTFIX','LATER','REMIND','DUPLICATE','WORKSFORME','MOVED') default NULL,
  description varchar(255) default NULL,
  PRIMARY KEY  (bug_id),
  KEY rpm (rpm(20))
) TYPE=MyISAM;


--
-- Table structure for table `changelogs`
--

CREATE TABLE changelogs (
  rpm varchar(100) binary NOT NULL default '',
  time date NOT NULL default '0000-00-00',
  packager varchar(20) default NULL,
  version varchar(100) default NULL,
  name varchar(100) NOT NULL default '',
  content text,
  repo varchar(255) NOT NULL default '',
  PRIMARY KEY  (rpm,time,name,repo),
  KEY rpm (rpm),
  KEY packager (packager)
) TYPE=MyISAM;


--
-- Table structure for table `counter`
--

CREATE TABLE counter (
  ip varchar(15) NOT NULL default '',
  time datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (ip)
) TYPE=MyISAM;


--
-- Table structure for table `gitrepos`
--

CREATE TABLE gitrepos (
  srpm varchar(100) NOT NULL default '',
  packager varchar(255) NOT NULL default '',
  lastmodified date NOT NULL default '0000-00-00',
  PRIMARY KEY  (srpm,packager)
) TYPE=MyISAM;


--
-- Table structure for table `groups`
--

CREATE TABLE groups (
  id mediumint(8) unsigned NOT NULL auto_increment,
  rpmgroup varchar(100) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=MyISAM;


--
-- Table structure for table `maintainers`
--

CREATE TABLE maintainers (
  mail varchar(20) NOT NULL default '',
  packager varchar(255) default NULL,
  type enum('man','team') NOT NULL default 'man',
  PRIMARY KEY  (mail)
) TYPE=MyISAM;


--
-- Table structure for table `members`
--

CREATE TABLE members (
  mail varchar(20) NOT NULL default '',
  packager varchar(255) default NULL,
  sirname varchar(50) default NULL,
  name varchar(50) default NULL,
  o varchar(50) default NULL,
  info text,
  work text,
  born date default NULL,
  city varchar(60) default NULL,
  country varchar(50) default NULL,
  photo mediumblob,
  PRIMARY KEY  (mail)
) TYPE=MyISAM;


--
-- Table structure for table `mirrors`
--

CREATE TABLE mirrors (
  mirror varchar(255) NOT NULL default ''
) TYPE=MyISAM;


--
-- Table structure for table `patches`
--

CREATE TABLE patches (
  srpm varchar(100) binary NOT NULL default '',
  num smallint(6) NOT NULL default '0',
  name varchar(255) binary NOT NULL default '',
  patch mediumtext NOT NULL,
  repo varchar(255) NOT NULL default '',
  PRIMARY KEY  (srpm,num,repo)
) TYPE=MyISAM;


--
-- Table structure for table `qarobot`
--

CREATE TABLE qarobot (
  report_name varchar(30) NOT NULL default '',
  time datetime NOT NULL default '0000-00-00 00:00:00',
  rawdata mediumtext NOT NULL,
  PRIMARY KEY  (report_name,time)
) TYPE=MyISAM;


--
-- Table structure for table `rpm`
--

CREATE TABLE rpm (
  srpm varchar(100) binary NOT NULL default '',
  name varchar(100) binary NOT NULL default '',
  version varchar(100) NOT NULL default '',
  rel varchar(100) NOT NULL default '',
  serial varchar(10) default NULL,
  arch varchar(10) NOT NULL default 'i586',
  rpmgroup mediumint(8) unsigned NOT NULL default '0',
  size int(11) NOT NULL default '0',
  summary varchar(255) NOT NULL default '',
  description text NOT NULL,
  optflags varchar(255) default NULL,
  repo varchar(255) NOT NULL default '',
  PRIMARY KEY  (name,repo,arch),
  KEY srpm (srpm)
) TYPE=MyISAM;


--
-- Table structure for table `spec`
--

CREATE TABLE spec (
  rpm varchar(100) binary NOT NULL default '',
  spec mediumtext,
  repo varchar(255) NOT NULL default '',
  PRIMARY KEY  (rpm,repo)
) TYPE=MyISAM;


--
-- Table structure for table `srpm`
--

CREATE TABLE srpm (
  name varchar(100) binary NOT NULL default '',
  version varchar(100) NOT NULL default '',
  rel varchar(100) NOT NULL default '',
  serial varchar(10) default NULL,
  rpmgroup mediumint(8) unsigned NOT NULL default '0',
  packager varchar(20) NOT NULL default '',
  buildtime datetime NOT NULL default '0000-00-00 00:00:00',
  size int(11) NOT NULL default '0',
  summary varchar(255) NOT NULL default '',
  description text NOT NULL,
  url varchar(255) default NULL,
  copyright varchar(100) default NULL,
  repo varchar(255) NOT NULL default '',
  PRIMARY KEY  (name,repo),
  KEY packager (packager)
) TYPE=MyISAM;


--
-- Table structure for table `teams`
--

CREATE TABLE teams (
  mail varchar(20) NOT NULL default '',
  name varchar(255) default NULL,
  members text NOT NULL,
  info text,
  PRIMARY KEY  (mail)
) TYPE=MyISAM;


--
-- Table structure for table `transfer`
--

CREATE TABLE transfer (
  tid mediumint(8) unsigned NOT NULL auto_increment,
  time datetime NOT NULL default '0000-00-00 00:00:00',
  b_size int(10) unsigned NOT NULL default '0',
  s_size int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (tid)
) TYPE=MyISAM;


--
-- Table structure for table `translist`
--

CREATE TABLE translist (
  tid mediumint(8) unsigned NOT NULL default '0',
  srpm varchar(100) binary NOT NULL default '',
  from_version varchar(100) binary default NULL,
  to_version varchar(100) binary default NULL,
  status enum('new','updated','deleted') NOT NULL default 'new',
  repo varchar(255) NOT NULL default '',
  PRIMARY KEY  (tid,srpm,repo)
) TYPE=MyISAM;


--
-- Table structure for table `visit`
--

CREATE TABLE visit (
  val int(10) unsigned NOT NULL default '1'
) TYPE=MyISAM;
