#!/usr/bin/perl
#
# script:       my.pl
# description:  personal engine
# author:       Vladimir Lettiev aka crux <crux@altlinux.ru> (c) 2004
# version:      0.1

use strict;
use CGI qw/param/;
use DBI;
use FindBin qw($Bin);
use lib "$Bin/adm";
use altbase;

#> My constants
my ($row,$sth,$dbh);
my $text = "";

my $cgi = new CGI;
my $alt = new altbase;

#> Load html fragments
my $lang = $cgi->param('lang');
if (! $alt->init(module => "inform", lang => $lang, script => "my.pl") ){
    print $altbase::header . $altbase::errStr;
    exit;
}

#> Connection to MySQL
$dbh = DBI->connect($altbase::dsn,$altbase::dbUser,$altbase::dbPass);

my $type = $cgi->param('type');

if ($type eq "topline"){
    
    my $ip=$ENV{'REMOTE_ADDR'};
 
    my $delOldIp_Q = "DELETE FROM counter WHERE time < DATE_SUB(NOW(), INTERVAL 30 MINUTE)";
    $sth = $dbh->prepare($delOldIp_Q);
    $sth->execute();
    my $findIp_Q="SELECT count(*) FROM counter WHERE ip=?";
    $sth = $dbh->prepare($findIp_Q);
    $sth->execute($ip);
    $row = $sth->fetchrow_array;
    if ($row == 0){
        my $updVisits_Q="UPDATE visit SET val=val+1";
        $sth = $dbh->do($updVisits_Q);
    }
    my $update_Q="REPLACE counter SET time=NOW(),ip=?";
    $sth = $dbh->prepare($update_Q);
    $sth->execute($ip);

    my $selVal_Q="SELECT val FROM visit";
    $sth = $dbh->prepare($selVal_Q);
    $sth->execute();
    my $val = $sth->fetchrow_array;
    
    my $selLastUpdate_Q = "SELECT MAX(buildtime) FROM srpm WHERE repo='Sisyphus'";
    ($row) = $dbh->selectrow_array($selLastUpdate_Q);
    
    my $selSrpmCount_Q = "SELECT count(name) FROM srpm WHERE repo='Sisyphus'";
    my ($srpmCount) = $dbh->selectrow_array($selSrpmCount_Q);

    $text = $alt->parser(
            HTML => "topline",
            vars => {
                    "date" => &MakeDate($row),
                    "count" => $val,
		    "srpms" => $srpmCount,
                    "path" => $altbase::path
            },
            iflist => {
            }
    );

} elsif ($type eq "languages") {
    $text = $alt->parser( HTML => "langheader", vars => { }, iflist => { } );
    my %langs = ( 'en' => 'English', 'ru' => 'Russian', 'br' => 'Portuguese (Brasilian)' );
    $text .= $alt->parser(
	  HTML => "languages",
	  vars => { "lang" => $_, "title" => $langs{$_} },
	  iflist => { }
	  ) foreach ('en', 'ru', 'br'); # custom sort order
    $text .= $alt->parser( HTML => "langfooter", vars => { }, iflist => { } );
} else {
    $text = "error [my.pl:87]: user not defined, sorry";
}

print $altbase::header;
print $text;
