#!/usr/bin/perl
#
# script:       people.pl
# description:  show list of maintainers anf teams
# author:       Vladimir Lettiev aka crux <crux@altlinux.ru> (c) 2004
# version:      0.1

use strict;
use CGI qw/param/;
use DBI;
use FindBin qw($Bin);
use lib "$Bin/adm";
use altbase;

#> My constants
my ($select_Q,@row,$row,$sth,$dbh);
my $text = "";
my $cgi = new CGI;
my $alt = new altbase;

#> Load html fragments
my $lang = $cgi->param('lang');
if (! $alt->init(module => "inform", lang => $lang, script => "people.pl") ){
    print $altbase::header . $altbase::errStr;
    exit;
}

#my ($grpId) = transPath();
my $type = $cgi->param('type');

if ($type ne "team"){
    $type = "man";
}

#> Connection to MySQL
$dbh = DBI->connect($altbase::dsn,$altbase::dbUser,$altbase::dbPass);

my $selNameList_Q = "SELECT maintainers.packager, maintainers.mail, count(srpm.name) FROM \
    maintainers, srpm WHERE maintainers.mail=srpm.packager AND maintainers.type=? AND srpm.repo='Sisyphus' GROUP BY \
    maintainers.mail ORDER BY maintainers.packager ASC";

$sth = $dbh->prepare($selNameList_Q);
$sth->execute($type);

my $i = 1;

while (@row = $sth->fetchrow_array){
    $row[0] =~ s/\s*<.+$//;
    $text .= $alt->parser(
                HTML => "oneMan",
                vars => {
            	    "lang" => $lang,
                    "path" => $altbase::path,
                    "type" => ($type eq "team")?"team":"packager",
                    "name" => $row[0],
                    "mail" => $row[1],
                    "count" => $row[2],
                    "num" => $i++
                },
                iflist => {}
    );
}


my $selNameList_Q = "SELECT count(srpm) FROM acl WHERE packager='\@nobody'";
$sth = $dbh->prepare($selNameList_Q);
$sth->execute();

$row = $sth->fetchrow_array;
$text .= $alt->parser(
        HTML => "oneMan",
        vars => {
    	    "lang" => $lang,
            "path" => $altbase::path,
            "type" => "team",
            "name" => "Nobody",
            "mail" => "nobody",
            "count" => $row
        },
        iflist => {}
);

$sth->finish();
$dbh->disconnect();

print $altbase::header;
print $text;
