#!/usr/bin/perl
#
# script:      rss.pl
# description: show RSS xml
# author:      Vladimir Lettiev aka crux <crux@altlinux.ru> (c) 2005
#

use strict;
use CGI qw/param/;
use DBI;
use FindBin qw($Bin);
use lib "$Bin/adm";
use altbase;

#> My constants
my ($name,$dbh,$sth,$sth2,@row,$textItem);
my $text = "";

my $cgi = new CGI;
my $alt = new altbase;

#> Load html fragments
my $lang = $cgi->param('lang');
if (! $alt->init(module => "inform", lang => $lang, script => "rss.pl") ){
	print $altbase::header . $altbase::errStr;
	exit;
}

my $select_Q = "SELECT s.name, s.version, s.rel, g.rpmgroup, m.packager, s.buildtime, \
s.summary, c.content, s.packager, m.type, c.packager FROM srpm as s, \
maintainers as m, changelogs as c, groups as g WHERE m.mail=s.packager AND \
g.id=s.rpmgroup AND c.version=CONCAT(s.version,'-',s.rel) AND c.rpm=s.name AND s.repo='Sisyphus' \
AND c.repo='Sisyphus' ORDER by s.buildtime DESC LIMIT 0,20";

my $oldRpm = "";

$dbh = DBI->connect($altbase::dsn,$altbase::dbUser,$altbase::dbPass);

$sth = $dbh->prepare($select_Q);
$sth->execute();
while (@row = $sth->fetchrow_array){

	next if ($oldRpm eq $row[0]);
	$oldRpm = $row[0];

	if ($row[8] ne $row[10] && $row[10] ne "qa-robot") {
		$sth2 = $dbh->prepare("SELECT packager FROM maintainers WHERE mail=?");
		$sth2->execute($row[10]);
		$row[12] = $sth2->fetchrow_array();
		$row[12] =~ s/\s*<.+$//;
	}

	$row[4] =~ s/\s*<.+$//;
	tagConv(\$row[7]);
	$textItem = $alt->parser(
		HTML => ($row[8] eq $row[10])?"package":"NMUpackage",
		vars => {
			"lang" => $lang,
			"path" => $altbase::path,
			"site" => $altbase::site,
			"name" => $row[0],
			"version" => $row[1],
			"release" => $row[2],
			"group" => &localeGrp($row[3]),
			"mail" => $row[8],
			"packager" => tagClean($row[4]),
			"builder" => tagClean($row[12]),
			"buildermail" => tagClean($row[10]),
			"date" => MakeDateTime($row[5]),
			"summary" => tagClean($row[6]),
			"changes" => $row[7],
			"state" => ($row[11] > 1)?"old":"new",
		},
		iflist => {
			"team" => ($row[9] eq "team")?1:0,
			"NMU" => ($row[8] eq $row[10])?1:0,
			"qarobot" => ($row[10] eq "qa-robot")?1:0,
			"old" => ($row[11] > 1)?1:0
		}
	);
	$text .= $alt->parser(
		HTML => "rssItem",
		vars => {
			"path" => $altbase::path,
			"site" => $altbase::site,
			"name" => $row[0],
			"version" => $row[1],
			"release" => $row[2],
			"date" => makeRfcDate($row[5]),
			"description" => tagHardClean($textItem)
		},
		iflist => {}
	);
}


print "Content-type: application/rss+xml\n\n";
print $alt->parser(HTML=>"rss", vars =>{"date" => makeRfcDate(), "content"=> $text}, iflist=>{});

$dbh->disconnect();

sub makeRfcDate {
	my ($query,$sth,$row);
	my $date = shift;
	if ($date) {
		$query = "SELECT date_format('$date','%a, %e %b %Y %T')";
	} else {
		$query = "SELECT date_format(NOW(),'%a, %e %b %Y %T')";
	}
	$sth = $dbh->prepare($query);
	$sth->execute();
	$row = $sth->fetchrow_array();
	$sth->finish();
	return $row;
}


