#!/usr/bin/perl

use strict;
use CGI qw/param/;
use DBI;
use FindBin qw($Bin);
use lib "$Bin/adm";
use altbase;

my $cgi = new CGI;
my $alt = new altbase;

my ($dbh,$sth,@row);
my $text = "";
my $groups = "";
my $arch = "";

#> Load html fragments
my $lang = $cgi->param('lang');
if (! $alt->init(module => "inform", lang => $lang, script => "rsync_exclude.pl") ){
	print $altbase::header . $altbase::errStr;
	exit;
}

#> Connection to MySQL
$dbh = DBI->connect($altbase::dsn,$altbase::dbUser,$altbase::dbPass);

if ($cgi->param && $ENV{"REQUEST_METHOD"} eq "POST") {
	my @groups = $cgi->param("grps");
	my $size = $cgi->param("size");

	$sth = $dbh->prepare("SELECT MAX(id) FROM groups");
	$sth->execute();
	my $grpMaxId = $sth->fetchrow_array();

	my (@newGroups,$grpWhere_Q,$row,$ary,@name,$sth2);
	
	my $storedLastId = 0;
	foreach my $grp (sort @groups) {
		next if ($grp =~ /\D/ || $grp < 1 || $grp > $grpMaxId || $grp == $storedLastId);
		$storedLastId = $grp;
		push @newGroups, "rpmgroup=$grp";
	}
	$grpWhere_Q = join (" OR ", @newGroups) if (@newGroups);

	if ($size == 1) {
		$size = 1024*1024;
	} elsif ($size == 2){
		$size = 10*1024*1024;
	} elsif ($size == 3) {
		$size = 25*1024*1024;
	} elsif ($size == 4) {
		$size = 50*1024*1024;
	} elsif ($size == 5) {
		$size = 100*1024*1024;
	} elsif ($size == 6) {
		$size = 200*1024*1024;
	} else {
		$size = 0;
	}
		
	my $query = "SELECT name FROM srpm WHERE size>? ";
	$query .= ($grpWhere_Q)?" AND (" . $grpWhere_Q . ")":"";
	$sth = $dbh->prepare($query);
	$sth->execute($size);
	while ($row = $sth->fetchrow_array()){
		push @name,$row;
		$sth2 = $dbh->prepare("SELECT name FROM rpm WHERE srpm=?");
		$sth2->execute();
		while ($ary = $sth2->fetchrow_array()){
			push @name,$ary;
		}
	}

	$storedLastId = "";
	foreach my $name ( sort @name ) {
		next if ($name eq $storedLastId || $name =~ /^\Q$storedLastId\E\-/);
		$storedLastId = $name;
		$text .= "$name-*\n";
	}
	
	$dbh->disconnect();
	print "Content-type: text/plain\n\n";
	print $text;
	exit;
}

$sth = $dbh->prepare("SELECT id,rpmgroup FROM groups ORDER by rpmgroup");
$sth->execute();
while (@row = $sth->fetchrow_array()){
	$groups .= $alt->parser(
		HTML=>"grpOption",
		vars => {
			"id"=>$row[0],
			"value"=>&localeGrp($row[1]),
		},
		iflist=> {
			"status"=>0
		}
	);
}

print $altbase::header;
print $alt->parser(
	HTML => "form",
	vars => {
		"groups" => $groups
	},
	iflist => {}
);

$dbh->disconnect();

