#!/usr/bin/perl
#
# script:       security.pl
# license:	GPL v2 or later
# description:  show last security updates
# author:       Andrew Avramenko <liks@altlinux.ru> (c) 2007

use strict;
use CGI qw/param/;
use DBI;
use FindBin qw($Bin);
use lib "$Bin/adm";
use altbase;

#> My constants
my ($select_Q,@ary,@row,$row,$sth,$dbh);
my $text = "";
my @sections = ("date","rss");

my $cgi = new CGI;
my $alt = new altbase;

#> Load html fragments
my $lang = $cgi->param('lang');
if (! $alt->init(module => "inform", lang => $lang, script => "security.pl") ){
	print $altbase::header . $altbase::errStr;
	exit;
}

my $section = transPath(\$ENV{"PATH_INFO"},\@sections);

$text .= $alt->parser(HTML=>"title", vars=>{}, iflist=>{});

#> Connection to MySQL
$dbh = DBI->connect($altbase::dsn,$altbase::dbUser,$altbase::dbPass);

my $selMainInfo_Q = "SELECT name,content,rpm,version,packager,time FROM changelogs WHERE content LIKE '%CVE-%' \
		     AND repo='Sisyphus' ORDER BY time DESC LIMIT 25";

$sth = $dbh->prepare($selMainInfo_Q);
$sth->execute();
while (@row = $sth->fetchrow_array()) {
    $row[0] =~ s/\s*<.+$//;
    $text .= $alt->parser(
		HTML=>"changelog",
		vars=>{
			"lang" => $lang,
			"name" => $row[0],
			"content" => $row[1],
			"rpm" => $row[2],
			"version" => $row[3],
			"packager" => $row[4],
			"date" => $row[5]
		},
		iflist => {
			"NMU" => 0,
			"qarobot" => 0,
			"NMUteam" => 0
		}
    )
}
$sth->finish();

if ($section eq "rss") {
    print "Content-type: application/rss+xml\n\n";
}
else {
    print $altbase::header;
}
$dbh->disconnect();

print $text;
